Search documentation of bb

# BB.Parameter.Changed (bb v0.8.0)

View Source

Payload type for parameter change events.

Published via PubSub when a parameter value changes.

# Summary

## Types

t()

## Functions

new(frame_id, attrs)

# Types

# t()

    @type t() :: %BB.Parameter.Changed{
      new_value: term(),
      old_value: term(),
      path: [atom()],
      source: :local | :remote | :init | :persisted | :startup
    }

# Functions

# new(frame_id, attrs)

    @spec new(
      atom(),
      keyword()
    ) :: {:ok, BB.Message.t()} | {:error, term()}